foreach loop is also looping process in js as well as for,while,do while. Only difference between for and for each loops are in for loop we initialize counter(i) and we call it arr[i].However in for each loop counter is already the element of array